Subject: Re: bug#69606: [PATCH] Ensure default-directory exists when generating diff

From: Michael Albinus <[email-masked]>
Date: Tue, 25 Feb 2025 14:44:35 +0100

Juri Linkov <[email-masked]> writes:

Hi Juri,

> But even with the default settings of reusing the same diff buffer,
> why change the default directory when it exists?  Why not to check
> if the dir still exists like Philip proposed initially?

*diff* is an ephemeral buffer, there is no documented value of its
`default-directory'. I guess you describe a side-effect you're using.

And I cannot reproduce your problem. If I am in a dired buffer, and type
"=" (dired-diff), I get a *diff* buffer with the expected
`default-directory'. 'C-x C-j' works as expected for me.

Could you pls show a recipe, which highlights what is broken for you?

Best regards, Michael.